.NET

.NET

Reply
Valued Contributor
53 Posts
3 Kudos
Registered: ‎07-07-2004
Post 1 of 2
Accepted Solution

Managed Wrapper - DBObjectCollection

195 Views, 1 Replies
10-09-2012 07:10 AM

How do I convert a DBObjectCollection to an AcDbVoidPtrArray in a managed wrapper class? Any ideas? I have a series of entities (Non-database resident) that I want to pass through to my unmanaged custom object, but I cannot find any references to this type of action.

 

Any suggestions?

 

Mike B

The value of the UnmanagedObject property of a DBObjectCollection is a pointer to the wrapped AcDbVoidPtrArray*. Call ToPointer() and cast the returned value to AcDbVoidPtrArray*

Valued Mentor
370 Posts
175 Kudos
Registered: ‎05-06-2012
Post 2 of 2

Re: Managed Wrapper - DBObjectCollection

10-09-2012 03:16 PM in reply to: mbujak

The value of the UnmanagedObject property of a DBObjectCollection is a pointer to the wrapped AcDbVoidPtrArray*. Call ToPointer() and cast the returned value to AcDbVoidPtrArray*

Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Are you interested in helping shape the future of the Autodesk Community? To participate in this brief usability study, please click here. Your time and input is greatly appreciated!